Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005654TestLinkTest Plan - Add/Remove Test Casespublic2013-04-23 21:072013-04-25 18:26
Reporternetlmr 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005654: Unable to add or remove test cases from test plan
DescriptionTestlink version 1.9.3
When I go into the Add/Remove test cases and I select a folder the screen on the right goes blank and never displays the list of test cases in the test plan.

Other test plans work ok. I was able to add 4 test cases a couple of days ago and no longer can.

I see the following event displayed every time I try:

E_NOTICE Trying to get property of non-object - in /var/www/html/testlink/lib/functions/tlTestCaseFilterControl.class.php - Line 880
Steps To ReproduceSelect TestPlan
Select Add/Remove Test Cases
Click on a folder
the right side of the screen never displays the list of test cases currently in the plan.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0018759)
fman (administrator)
2013-04-24 10:56

Testlink version 1.9.3 => Obsolete => no more issues are accepted.
You have test on latest available official version 1.9.6, and check all available fixes before reporting.

your issue seem to be specific to your data => can not be analized without your data.
You do not explain what has changed on these last 4 days, that can affect to system behaviour.
(0018763)
netlmr (reporter)
2013-04-24 14:43

We plan to upgrade shortly and will report back. I'm not aware of any changes to the data. I was able to add test cases the day before. I do not know if we hit a limit. This Test Plan is the largest one we have with over 1100 test cases and 9 different builds. I have no problems adding/removing test cases with the other smaller with less builds and less test cases, test plans.
(0018764)
fman (administrator)
2013-04-24 15:33

search here (remove status filter) and in forum, there are issues related to webserver and PHP config with amount of POST DATA => you will get also instructions to fix it
If you have tons of test cases this can happen.
(0018775)
netlmr (reporter)
2013-04-25 18:11

Upgrading to 1.9.6 fixed the problem. I am now able to add/remove test cases from all test plans. This issue can be closed.

- Issue History
Date Modified Username Field Change
2013-04-23 21:07 netlmr New Issue
2013-04-24 10:56 fman Note Added: 0018759
2013-04-24 10:57 fman Status new => feedback
2013-04-24 14:43 netlmr Note Added: 0018763
2013-04-24 14:43 netlmr Status feedback => new
2013-04-24 15:33 fman Note Added: 0018764
2013-04-25 07:55 fman Status new => feedback
2013-04-25 18:11 netlmr Note Added: 0018775
2013-04-25 18:11 netlmr Status feedback => new
2013-04-25 18:26 fman Status new => closed
2013-04-25 18:26 fman Assigned To => fman
2013-04-25 18:26 fman Resolution open => fixed
2013-04-25 18:26 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker